Government Security
Network Security Resources

Jump to content

Photo

Whisker Got Error...


  • Please log in to reply
4 replies to this topic

#1 grindcore

grindcore

    Specialist

  • Members
  • 105 posts

Posted 02 October 2007 - 09:53 PM

Dear all,

This error occurred when I try to launch whisker in my windows box…any idea why it happen. I have no problem with any Perl program before this. Do you think this error because whisker itself or my activestate…how to check in line 52 as state in the error?


Please help…thanks in advance



D:\whisker>whisker.pl

Can't locate Net/SSLeay.pm in @INC (@INC contains: d:/Perl/site/lib d:/Perl/lib .) at D:\P

enTest Toolz Latest\Web Assessment\whisker\whisker.pl line 52.

BEGIN failed--compilation aborted at D:\whisker\whiske

r.pl line 52.

D:\whisker>perl whisker.pl

Can't locate Net/SSLeay.pm in @INC (@INC contains: d:/Perl/site/lib d:/Perl/lib .) at whis

ker.pl line 52.

BEGIN failed--compilation aborted at whisker.pl line 52.



#2 as0l0

as0l0

    Sergeant

  • Members
  • 248 posts

Posted 02 October 2007 - 11:33 PM

because you don't have the SSLeay perl module installed or you have the wrong path. this is why perl sucks. there's always some module you don't have.

anyway, just google 'install ssleay.pm' and you'll be right.

#3 grindcore

grindcore

    Specialist

  • Members
  • 105 posts

Posted 02 October 2007 - 11:59 PM

because you don't have the SSLeay perl module installed or you have the wrong path. this is why perl sucks. there's always some module you don't have.

anyway, just google 'install ssleay.pm' and you'll be right.


Thank you for your prompt reply...i try to install it..and it seems success, but the same error still occured when i invoke whisker...

this is the installation of SSLeay...seems like lot of library could not be found...should i install all of them?

D:\Windows Utilities\Programming\Perl\Net_SSLeay.pm-1.21>
D:\Windows Utilities\Programming\Perl\Net_SSLeay.pm-1.21>perl Makefile.PL -windows d:\Open
SSL
Set up gcc environment - 2.95.2
Checking for OpenSSL-0.9.6g or newer...
You have OpenSSL-0.9.8e installed in d:\OpenSSL
That's is newer than what this module was tested with (0.9.6g). You should
consider checking if there is a newer release of this module
available. Everything will probably work OK, though.
Be sure to use the same compiler and options to compile your OpenSSL, perl, and Net::SSLea
y. Mixing and matching compilers is not supported. (Currently I do not have a way to check
this on Windows platform.)
Checking if your kit is complete...
Looks good
Note (probably harmless): No library found for -llibeay32
Note (probably harmless): No library found for -lssleay32
Note (probably harmless): No library found for -lkernel32
Note (probably harmless): No library found for -luser32
Note (probably harmless): No library found for -lgdi32
Note (probably harmless): No library found for -lwinspool
Note (probably harmless): No library found for -lcomdlg32
Note (probably harmless): No library found for -ladvapi32
Note (probably harmless): No library found for -lshell32
Note (probably harmless): No library found for -lole32
Note (probably harmless): No library found for -loleaut32
Note (probably harmless): No library found for -lnetapi32
Note (probably harmless): No library found for -luuid
Note (probably harmless): No library found for -lws2_32
Note (probably harmless): No library found for -lmpr
Note (probably harmless): No library found for -lwinmm
Note (probably harmless): No library found for -lversion
Note (probably harmless): No library found for -lodbc32
Note (probably harmless): No library found for -lodbccp32
Note (probably harmless): No library found for -lmsvcrt
Checking if your kit is complete...
Looks good
Writing Makefile for Net::SSLeay::Handle
Writing Makefile for Net::SSLeay



#4 as0l0

as0l0

    Sergeant

  • Members
  • 248 posts

Posted 03 October 2007 - 05:30 PM

if it were me i would just get nikto (or better yet wnikto) instead which is the replacement for whisker

#5 grindcore

grindcore

    Specialist

  • Members
  • 105 posts

Posted 08 October 2007 - 07:17 PM

if it were me i would just get nikto (or better yet wnikto) instead which is the replacement for whisker

k...thanks for your advice. i'm using it before (nikto) and just want to try whisker as i found it in ISSAF pen test methodology.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users